members.dev
ApiCredit notes

Create Credit Note

Creates a Credit Note

POST
/v1/credit-notes

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/credit-notes" \  -H "Content-Type: application/json" \  -d '{    "member_id": "string",    "lines": [      {        "description": "string",        "quantity": 0,        "unit_amount": 0      }    ]  }'
{
  "id": "string",
  "credit_note_number": "CN-12",
  "member_id": "string",
  "currency": "string",
  "amount": 0,
  "allocated_amount": 0,
  "remaining_amount": 0,
  "status": "open",
  "lines": [
    {
      "id": "string",
      "subscription_billing_period_id": "string",
      "subscription_id": "string",
      "description": "string",
      "quantity": 0,
      "unit_amount": 0,
      "amount": 0,
      "sort_order": 0,
      "created_at": null,
      "updated_at": null
    }
  ],
  "allocations": [
    {
      "id": "string",
      "amount": 0,
      "currency": "str",
      "type": "invoice_application",
      "invoice_id": "string",
      "created_at": null,
      "updated_at": null
    }
  ],
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}